Loading...
Searching...
No Matches
string_view.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "basic_string.h"`
`#include "char_traits.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "hash.h"`
`#include "integral_limits.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "private/minmax_push.h"`
`#include <ostream>`
`#include <stdint.h>`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::string_view_exception
| The base class for basic_string_view exceptions. More...
class | etl::string_view_bounds
class | etl::string_view_uninitialised
class | etl::string_view_empty
| The exception thrown when the view is empty. More...
class | etl::basic_string_view< T, TTraits >
| String view. More...

## Namespaces

namespace | etl

## Typedefs

typedef etl::basic_string_view< char > | etl::string_view
typedef etl::basic_string_view< wchar_t > | etl::wstring_view
typedef etl::basic_string_view< char8_t > | etl::u8string_view
typedef etl::basic_string_view< char16_t > | etl::u16string_view
typedef etl::basic_string_view< char32_t > | etl::u32string_view

## Functions

template<size_t Array_Size>
ETL_CONSTEXPR14 string_view | etl::make_string_view (const char(&text)[Array_Size]) ETL_NOEXCEPT
| make_string_view.
template<size_t Array_Size>
ETL_CONSTEXPR14 wstring_view | etl::make_string_view (const wchar_t(&text)[Array_Size]) ETL_NOEXCEPT
template<size_t Array_Size>
ETL_CONSTEXPR14 u8string_view | etl::make_string_view (const char8_t(&text)[Array_Size]) ETL_NOEXCEPT
template<size_t Array_Size>
ETL_CONSTEXPR14 u16string_view | etl::make_string_view (const char16_t(&text)[Array_Size]) ETL_NOEXCEPT
template<size_t Array_Size>
ETL_CONSTEXPR14 u32string_view | etl::make_string_view (const char32_t(&text)[Array_Size]) ETL_NOEXCEPT
template<typename T, typename TTraits>
void | swap (etl::basic_string_view< T, TTraits > &lhs, etl::basic_string_view< T, TTraits > &rhs) ETL_NOEXCEPT
| Swaps the values.
template<typename T>
void | swap (etl::basic_string_view< T, etl::char_traits< T > > &lhs, etl::basic_string_view< T, etl::char_traits< T > > &rhs) ETL_NOEXCEPT
template<typename T>
std::basic_ostream< T, std::char_traits< T > > & | operator<< (std::basic_ostream< T, std::char_traits< T > > &os, etl::basic_string_view< T, etl::char_traits< T > > text)
| Operator overload to write to std basic_ostream.